misc: mark spear13xx-pcie-gadget as broken
Arnd Bergmann [Tue, 23 Apr 2013 16:30:45 +0000 (18:30 +0200)]
This driver was merged in 2.6.38 but never actually compiled because
it depends on the <mach/pcie.h> header that has not made it into the
kernel. Starting with Linux-3.10, this results in "allyesconfig"
build errors, since spear13xx can now be enabled with the default
"multiplatform" platform on ARM. Let's mark it as broken for now.
If it doesn't get fixed, we can drop it completely.

Cc: Pratyush Anand <pratyush.anand@st.com>
Cc: Randy Dunlap <randy.dunlap@oracle.com>
Cc: Jesse Barnes <jbarnes@virtuousgeek.org>
Cc: Viresh Kumar <viresh.kumar@st.com>
Cc: Shiraz Hashim <shiraz.hashim@st.com>
Signed-off-by: Arnd Bergmann <arnd@arndb.de>
Signed-off-by: Greg Kroah-Hartman <gregkh@linuxfoundation.org>

drivers/misc/Kconfig

index 69bb79d..e29e798 100644 (file)
@@ -406,7 +406,7 @@ config DS1682
 
 config SPEAR13XX_PCIE_GADGET
        bool "PCIe gadget support for SPEAr13XX platform"
-       depends on ARCH_SPEAR13XX
+       depends on ARCH_SPEAR13XX && BROKEN
        default n
        help
         This option enables gadget support for PCIe controller. If